<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{8080D787-E46F-434B-A61C-6734B90D7339}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>SicPM2</RootNamespace>
    <AssemblyName>SicPM2</AssemblyName>
    <TargetFrameworkVersion>v4.5.2</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <Deterministic>true</Deterministic>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="MECF.Framework.Common, Version=1.0.8361.29945, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\ThirdParty\dlls\MECF.Framework.Common.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
    <Reference Include="TwinCAT.Ads, Version=4.2.169.0, Culture=neutral, PublicKeyToken=180016cd49e5e8c3, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\ThirdParty\dlls\TwinCAT.Ads.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="PM2Module.cs" />
    <Compile Include="PMModuleDevice.cs" />
    <Compile Include="PMModuleInterlock.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="RecipeExecutions\CleanRecipe.cs" />
    <Compile Include="RecipeExecutions\Fdc.cs" />
    <Compile Include="RecipeExecutions\IRecipeDBCallback.cs" />
    <Compile Include="RecipeExecutions\IRecipeExecutor.cs" />
    <Compile Include="RecipeExecutions\PostProcess.cs" />
    <Compile Include="RecipeExecutions\PreProcess.cs" />
    <Compile Include="RecipeExecutions\Process.cs" />
    <Compile Include="RecipeExecutions\ProcessCalculate.cs" />
    <Compile Include="RecipeExecutions\RecipeDBCallback.cs" />
    <Compile Include="RecipeExecutions\RecipeEndDataItem.cs" />
    <Compile Include="RecipeExecutions\RecipeHead.cs" />
    <Compile Include="RecipeExecutions\RecipeParser.cs" />
    <Compile Include="RecipeExecutions\RecipeRunningInfo.cs" />
    <Compile Include="RecipeExecutions\RecipeStep.cs" />
    <Compile Include="RecipeExecutions\SicRecipeFileContext.cs" />
    <Compile Include="RecipeRoutine\PMMacroRoutine.cs" />
    <Compile Include="RecipeRoutine\PostPMMacroRoutine.cs" />
    <Compile Include="RecipeRoutine\PrePMMacroRoutine.cs" />
    <Compile Include="RecipeRoutine\RecipeParser.cs" />
    <Compile Include="Routines\PMBaseRoutine.cs" />
    <Compile Include="Routines\PMChamberMoveBodyRoutine.cs" />
    <Compile Include="Routines\PMExchangeMoRoutine.cs" />
    <Compile Include="Routines\PMHomeRoutine.cs" />
    <Compile Include="Routines\PMLeakCheckRoutine.cs" />
    <Compile Include="Routines\PMButttomSectionMoveRoutine.cs" />
    <Compile Include="Routines\PMCleanRoutine.cs" />
    <Compile Include="Routines\PMProcessAbortRoutine.cs" />
    <Compile Include="Routines\PMPurgeRoutine.cs" />
    <Compile Include="Routines\PMPcCalibrationRoutine.cs" />
    <Compile Include="Routines\PMPostTransferRoutine.cs" />
    <Compile Include="Routines\PMPrepareTransferRoutine.cs" />
    <Compile Include="Routines\PMProcessRoutine.cs" />
    <Compile Include="Routines\PMPumpRoutine.cs" />
    <Compile Include="Routines\PMServoToPressure.cs" />
    <Compile Include="Routines\PMStopHeatEnableRoutine.cs" />
    <Compile Include="Routines\PMToIsolationRoutine.cs" />
    <Compile Include="Routines\PMToAtmIdleRoutine.cs" />
    <Compile Include="Routines\PMToProcessIdleRoutine.cs" />
    <Compile Include="Routines\PMVacIdleRoutine.cs" />
    <Compile Include="Routines\PMVentRoutine.cs" />
    <Compile Include="Utilities\UnitAlarmItem.cs" />
    <Compile Include="Utilities\XmlConfig.cs" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Config\Recipe\Sic\Process\RecipeFormat.xml">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>
  <ItemGroup>
    <None Include="Config\_ioDefinePM2.xml">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>
  <ItemGroup>
    <None Include="Config\DeviceModelPM2.xml">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\FrameworkLocal\RTCore\RTCore.csproj">
      <Project>{bcbd839a-c9a0-4be7-98ca-b0a88ad38e5a}</Project>
      <Name>RTCore</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\FrameworkLocal\RTEquipmentLibrary\RTEquipmentLibrary.csproj">
      <Project>{090a1e9c-1087-4c8a-b4e0-ff074459e071}</Project>
      <Name>RTEquipmentLibrary</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <None Include="Config\Recipe\Sic\Content\RecipeFormat.xml">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Include="Config\interlockPM2.xml">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <Content Include="Config\Recipe\Sic\Clean\RecipeFormat.xml">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Config\Recipe\Sic\Routine\RecipeFormat.xml">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
  </ItemGroup>
  <ItemGroup />
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>